// header file for covariance intersection based predictors

#ifndef CI_H
#define CI_H

#include "predictor.H"

class CIPVSM;
class CIPVMMV;

class CIPredictor : public Predictor
{
 public:
   CIPredictor();
   virtual ~CIPredictor();
   
   virtual void prepare(); // prepares object for prediction
   virtual Pose * predict(Pose *userpos, double pinterval); 

 protected:
   CIPVSM  *_cipvsm;
   CIPVMMV *_cipvmmv;

};

#endif 
