// Header file which contains global enumerated types for
// various UI functionality.


#ifndef TYPES_H
#define TYPES_H


enum PredictorType {tNone = 0, tReflexive = 1, tLocalPoly = 2, tExpSmooth = 3, tGrey = 4, tKalman = 5, tCI = 6, tMMAE = 7};

enum ErrorType     {tNone1 = 0, tRootMSE = 1, tLInfinity = 2, tPctBetter = 3, tChooseAll = 4};

enum TestType      {tNone2 = 0, tSingle = 1, tRunSP = 2, tRunPI = 3, tRunN = 4, tRunAll = 5, tRunParams = 6};

enum LocalPolyType {tNone3 = 0, tlagrangian = 1, tlsquares = 2, tcspline = 3, ttaylor = 4};

enum ExpSmoothType {tNone4 = 0, tSimpleExp = 1, tDoubleExp = 2, tHoltWinters = 3};

enum KalmanType {tNone5 = 0, tPVSM = 1, tPVASM = 2, tPVMMV = 3, tPVAMMV = 4, tPVAMMA = 5, tPVAMMVA = 6};

enum CIType {tNone6 = 0, tCIPVSM = 1, tCIPVMMV = 2};

enum MMAEType {tNone7 = 0, tMMAE3MOD = 1, tMMAE3MODComp = 2, tMMAEMulParam = 3};
enum CombinerType {tSUM = 1, tMAX = 2};


enum AnalyzerType {tNone8 = 0, tSACF = 1, tACFWin = 2, tBasic = 3, tPSD = 4, tCrPt = 5, tVelBasic = 6};

enum NDiffType {tNone9 = 0, tNDiff = 1, tLSOrthog = 2, tSavGolay = 3, tWavedb4 = 4, tWavedb8 = 5, tWavesym8 = 6, tMollify = 7, tABodd = 8, tABnoodd = 9, tKPodd = 10, tKPnoodd = 11};

enum ThreshType {tNone10 = 0, tRigsure = 1, tHeursure = 2, tsqtwolog = 3, tMinimax = 4, tkillDet=5};

#endif
